package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(
   value = "货品食安要求表",
   description = "货品食安要求表"
)
public class MenuMaterialFoodSafeConfigAddDTO {
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("是否检测(1是2否)")
   private Integer ifNeedDetect;
   @ApiModelProperty("检测机构(1自检,2供应商检,4自检且供应商检)")
   private Integer detectInstitution;
   @ApiModelProperty("检测项目(1农残,2兽残,3真菌毒素)")
   private Integer detectItem;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Integer getIfNeedDetect() {
      return this.ifNeedDetect;
   }

   public Integer getDetectInstitution() {
      return this.detectInstitution;
   }

   public Integer getDetectItem() {
      return this.detectItem;
   }

   public MenuMaterialFoodSafeConfigAddDTO setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public MenuMaterialFoodSafeConfigAddDTO setIfNeedDetect(final Integer ifNeedDetect) {
      this.ifNeedDetect = ifNeedDetect;
      return this;
   }

   public MenuMaterialFoodSafeConfigAddDTO setDetectInstitution(final Integer detectInstitution) {
      this.detectInstitution = detectInstitution;
      return this;
   }

   public MenuMaterialFoodSafeConfigAddDTO setDetectItem(final Integer detectItem) {
      this.detectItem = detectItem;
      return this;
   }
}
